Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: jabber

Interfaces Templates

### Description:

Jabber instant messaging servers.

### Interfaces:

jabber_admin( domain , role )

##### Summary

All of the rules required to administrate an jabber environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

jabber_manage_lib_files( domain )

##### Summary

Create, read, write, and delete jabber lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

jabber_tcp_connect( domain )

##### Summary

Connect to jabber over a TCP socket (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

jabber_domain_template( domain_prefix )

##### Summary

The template to define a jabber domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return